/*
 * Variables, Mixins, Functions
 * ---------------------------- */

@import 'abstract/variables.scss';
@function rem-calc($size) { $remSize: $size / 16; @return #{$remSize}rem; }

/*
 * Custom Colors
 * ---------- */
$mindgreen:#ECF8F4;
$pink:#F76C8C;
$blue:#3C66EE;
$gold:#BEBEBE;
$yellow:#FDF8EA;
$lightblue:#F0F5F8;
$darkblue:#75CBB5;
$gray-100:#EFF2F7;
$gray-800:#606E7F;
$gray-900:#646F7E;

.bg-mindgreen {
	background-color: $mindgreen;
}
.bg-lightblue {
	background-color: $lightblue;
}
.bg-yellow {
	background-color: $yellow;
}
.btn-gold {
	background-color: $gold;
	color: $white;
}
.icon-blue {
	color: #52A2CC;
}
.bg-blue {
	background-color: #C1E1EB;	
}

/*
 * Base stuff
 * ---------- */
 
$enable-rounded: false;
$enable-shadows: false;
 
$spacer: 1rem;
$spacers: ();

$spacers: map-merge(
  (
    0: 0,
    1: ($spacer * .25),
    2: ($spacer * .5),
    3: $spacer,
    4: ($spacer * 1.5),
    5: ($spacer * 3),
    6: ($spacer * 4),
    7: ($spacer * 4.5),
    8: ($spacer * 5),
    9: ($spacer * 5.5),
    10: ($spacer * 6)
  ),
  $spacers
);

.input-group-append {
	border: 1px solid #243446;
}

.custom-control-label::before,
.custom-control-label::after {
	top: 4px;
}

//rem-calc(40)
 
//@import 'base/typography';

@import url("https://use.typekit.net/xuw6qpp.css");
$handwriting:ff-market-web, sans-serif;

/*
 * Components
 * ---------- */
@import 'component/alert';
//@import 'component/badge';
@import 'component/breadcrumb';
//@import 'component/button';
//@import 'component/card';
//@import 'component/custom-select';
//@import 'component/form';
//@import 'component/modal';
//@import 'component/product-box';
//@import 'component/tab-menu';
//@import 'component/payment-method';
@import 'component/cms-block';
//@import 'component/cms-element';
//@import 'component/quickview-modal';
//@import 'component/pagination';
@import 'component/three-col-icon-element';

/*
 * Layout-related sections
 * ----------------------- */
@import 'layout/top-bar';
@import 'layout/header';
@import 'layout/footer';
@import 'layout/main-navigation';
//@import 'layout/navigation-flyout';
//@import 'layout/navigation-offcanvas';
@import 'layout/offcanvas-cart';
//@import 'layout/search-suggest';

/*
 * Page-specific styles
 * -------------------- */
@import 'page/product-listing/product-listing';
@import 'page/product-detail/product-detail';
//@import 'page/product-detail/tabs';
//@import 'page/product-detail/review';
//@import 'page/product-detail/cross-selling';

//@import 'page/account/aside';
//@import 'page/account/register';
//@import 'page/account/address';
//@import 'page/account/profile';
//@import 'page/account/order-detail';

@import 'page/checkout/aside';
//@import 'page/checkout/cart';
//@import 'page/checkout/cart-item';
//@import 'page/checkout/confirm';

//@import 'page/contact/contact';
//@import 'page/newsletter/newsletter';
